package com.xty.base.h5

import android.content.Context
import android.os.Bundle
import android.webkit.JavascriptInterface
import com.blankj.utilcode.util.GsonUtils
import com.google.gson.Gson
import com.xty.base.act.BaseVmAct
import com.xty.base.model.ScienceDetailBean
import com.xty.base.model.WatchReChangeBean
import com.xty.base.utils.PayUtils
import com.xty.common.Const
import com.xty.common.LogUtils
import com.xty.common.MMkvHelper
import com.xty.common.arouter.ARouterUrl
import com.xty.common.arouter.RouteManager
import com.xty.common.util.ToastUtils
import org.json.JSONObject

open class CloudJSBridge(val context: Context, val listener: IJsBridge) {
    private var baseActivity: BaseVmAct<*> = context as BaseVmAct<*>
    @JavascriptInterface
    fun getBaseInfoData(str: String?) {
      LogUtils.e("CloudJSBridge","getBaseInfoData str")
        str?.apply {
            val userId = if (MMkvHelper.getLong(Const.USER_ID).toString() == "0") {
                ""
            } else {
                MMkvHelper.getLong(Const.USER_ID).toString()
            }

            val jsonObject = JSONObject()
            jsonObject.put("statuHeight", WebUtils.getStatesBar())
            jsonObject.put("token", MMkvHelper.getString(Const.Auth_Id))
            jsonObject.put("dpi",WebUtils.getDensityDpi())

            jsonObject.put("userId", userId)
            jsonObject.put("isAPP", 1)
            LogUtils.e("CloudJSBridge",jsonObject.toString())
            listener.sendDataToJS("sendBaseInfo", jsonObject.toString())
        }
    }

    @JavascriptInterface
    fun getIsFromApp(str:String?){
        LogUtils.e("CloudJSBridge","getIsFromApp str")
        str?.let {
            val jsonObject = JSONObject()
            jsonObject.put("isAPP", 1)
            listener.sendDataToJS("sendIsFrom ", jsonObject.toString())
        }
    }

    @JavascriptInterface
    fun onBack(str: String?){
        LogUtils.e("CloudJSBridge","onBack str")
        baseActivity.finish()
    }
    @JavascriptInterface
    fun gotoElectronicFence(str: String?){
        LogUtils.e("CloudJSBridge","gotoElectronicFence str")
        //ToastUtils(context).showToast("敬请期待")
        RouteManager.goAct(ARouterUrl.ELECTRONIC_FENCE_SET_ACT)

    }

    @JavascriptInterface
    fun  gotoScienceDetail(str: String?){
        LogUtils.e("CloudJSBridge","gotoScienceDetail str")
        str?.let {
            var detailBean = GsonUtils.fromJson(it, ScienceDetailBean::class.java)
            var bundle = Bundle()
            bundle.putString("id",detailBean.id)
            RouteManager.goAct(ARouterUrl.SCIENCE_DETAIL, bundle)
        }
    }

    @JavascriptInterface
    fun watchRecharge(str: String?){
        str?.let {
            var watchBean = GsonUtils.fromJson(it,WatchReChangeBean::class.java)
            PayUtils(context).reChangeWatch(watchBean.pay_price,watchBean.orderId)
        }
    }



}