package com.zj365.mime.act.electronicfence

import android.annotation.SuppressLint
import android.os.Bundle
import android.view.View
import androidx.core.view.isVisible
import androidx.recyclerview.widget.LinearLayoutManager
import com.alibaba.android.arouter.facade.annotation.Route
import com.amap.api.maps.AMap
import com.xty.base.act.BaseVmAct
import com.xty.base.vm.BaseVm
import com.xty.common.arouter.ARouterUrl
import com.zj365.mime.adapter.ElectronicFenceAdapter
import com.zj365.mime.databinding.ActivityElectronicFenceSettingBinding
import com.zj365.mime.vm.ElectronicFenceSettingVm

@Route(path = ARouterUrl.ELECTRONIC_FENCE_SET_ACT)
class ElectronicFenceSettingAct : BaseVmAct<ElectronicFenceSettingVm>() {

    val binding by lazy { ActivityElectronicFenceSettingBinding.inflate(layoutInflater) }

    val mAdapter by lazy { ElectronicFenceAdapter() }

    var type: Int = 0 //0 列表页 1 设置页

    private var aMap: AMap? = null
    override fun liveObserver() {
        mViewModel.electronicFenceListLiveDate.observe(this){
            if(it.data.count == 0){
                binding.inEmpty.root.visibility = View.VISIBLE
                binding.recycler.visibility = View.GONE

            }else{
                binding.recycler.visibility = View.VISIBLE
                binding.inEmpty.root.visibility = View.VISIBLE
                mAdapter.setNewInstance(it.data.list)
            }
        }
    }

    override fun initView() {
        super.initView()
        statusBar(binding.title.mView)
        binding.title.mTvTitle.text = "电子围栏设置"
        binding.title.mIvBack.setOnClickListener {
            finish()
        }
        aMap = binding.map.map
        mViewModel.getElectronicFenceList()

        binding.recycler.adapter = mAdapter
        binding.recycler.layoutManager = LinearLayoutManager(this)

        binding.tvCancel.visibility = View.GONE
        binding.tvConfirm.setOnClickListener {
           if (type == 0){
                binding.llData.visibility = View.GONE
               type = 1
           }else{
               binding.llData.visibility = View.VISIBLE
               type = 0
           }
        }

        binding.tvCancel.setOnClickListener {

        }
    }

    override fun setLayout() = binding.root

    override fun onDestroy() {
        super.onDestroy()
        binding.map.onDestroy()
    }

    override fun onPause() {
        super.onPause()
        binding.map.onPause()
    }


    override fun onResume() {
        super.onResume()
        binding.map.onResume()
    }

    @SuppressLint("MissingSuperCall")
    override fun onSaveInstanceState(outState: Bundle) {
        super.onSaveInstanceState(outState)
        binding.map.onSaveInstanceState(outState)
    }

    override fun onCreate(savedInstanceState: Bundle?) {
        super.onCreate(savedInstanceState)
        binding.map.onCreate(savedInstanceState)
    }

}